The default bug view has changed. See this FAQ.

[Windows] crashtest: intermittent "99776-1.html | assertion count 1 is more than expected 0 assertions" (ASSERTION: Widgets that we paint must all be display roots: 'GetDisplayRootFor(aView) == aView')

RESOLVED FIXED in Firefox 14

Status

()

Core
Plug-ins
--
major
RESOLVED FIXED
6 years ago
4 years ago

People

(Reporter: sgautherie, Assigned: roc)

Tracking

(4 keywords)

Trunk
mozilla15
x86
Windows Server 2003
assertion, intermittent-failure, regression, testcase
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox12 wontfix, firefox13 wontfix, firefox14 fixed, firefox-esr10 affected)

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

6 years ago
(First time I notice this failure.)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1304211780.1304214265.17429.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test crashtest on 2011/04/30 18:03:00
{
###!!! ASSERTION: Widgets that we paint must all be display roots: 'GetDisplayRootFor(aView) == aView', file e:/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/view/src/nsViewManager.cpp, line 445
...
REFTEST TEST-UNEXPECTED-FAIL | file:///e:/builds/slave/test/build/reftest/tests/layout/base/crashtests/99776-1.html | assertion count 1 is more than expected 0 assertions
}
(Reporter)

Updated

6 years ago
(Reporter)

Updated

6 years ago
Blocks: 452942
(Reporter)

Comment 1

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332484394.1332486157.16634.gz
WINNT 5.2 comm-central-trunk debug test crashtest on 2012/03/22 23:33:14
s: cn-sea-qm-win2k3-01
(Reporter)

Comment 2

5 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #1)
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332484394.1332486157.
> 16634.gz
> WINNT 5.2 comm-central-trunk debug test crashtest on 2012/03/22 23:33:14
> s: cn-sea-qm-win2k3-01

I don't know if that's expected or unrelated,
but, fwiw, "For application/x-java-vm found plugin npjp2.dll" happened just before.
(Reporter)

Comment 3

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332447619.1332450077.20525.gz
WINNT 5.2 comm-central-trunk debug test crashtest on 2012/03/22 13:20:19
s: cn-sea-qm-win2k3-01

Same as previous comment.
(Reporter)

Comment 4

5 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #2)
> I don't know if that's expected or unrelated,
> but, fwiw, "For application/x-java-vm found plugin npjp2.dll" happened just
> before.

Looks expected, per
{
7 <applet style="position:absolute;left:7;top:73;"></applet>
}

*****

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1333557762.1333559920.8703.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test crashtest on 2012/04/04 09:42:42
s: cn-sea-qm-win2k3-01
Summary: [Windows SeaMonkey] crashtest: intermittent "99776-1.html | assertion count 1 is more than expected 0 assertions" (ASSERTION: Widgets that we paint must all be display roots: 'GetDisplayRootFor(aView) == aView') → [cn-sea-qm-win2k3-01] crashtest: intermittent "99776-1.html | assertion count 1 is more than expected 0 assertions" (ASSERTION: Widgets that we paint must all be display roots: 'GetDisplayRootFor(aView) == aView')

Comment 5

5 years ago
I reliably hit the same assertion on the same crashtest while trying to start the fuzzer. (Windows 7, Firefox trunk)

Based on when this bug was filed, it sounds like it's been happening (at least intermittently) ever since the assertion was added in bug 598854.
Blocks: 598854
Keywords: regression, testcase
(Reporter)

Comment 6

5 years ago
[Mozilla/5.0 (Windows NT 5.0; rv:12.0a1) Gecko/20120126 Firefox/12.0a1 SeaMonkey/2.9a1] (custom debug build for Windows 2000)

I can reproduce by running this test alone locally and confirm the assertion is intermittent (yet frequent enough).

Ftr, I currently use "Java Plug-in 1.6.0_31".
No longer blocks: 452942
Severity: normal → major
Summary: [cn-sea-qm-win2k3-01] crashtest: intermittent "99776-1.html | assertion count 1 is more than expected 0 assertions" (ASSERTION: Widgets that we paint must all be display roots: 'GetDisplayRootFor(aView) == aView') → crashtest: intermittent "99776-1.html | assertion count 1 is more than expected 0 assertions" (ASSERTION: Widgets that we paint must all be display roots: 'GetDisplayRootFor(aView) == aView')
(Reporter)

Updated

5 years ago
Summary: crashtest: intermittent "99776-1.html | assertion count 1 is more than expected 0 assertions" (ASSERTION: Widgets that we paint must all be display roots: 'GetDisplayRootFor(aView) == aView') → [Windows] crashtest: intermittent "99776-1.html | assertion count 1 is more than expected 0 assertions" (ASSERTION: Widgets that we paint must all be display roots: 'GetDisplayRootFor(aView) == aView')
I can reproduce this.
Assignee: nobody → roc
Created attachment 618551 [details] [diff] [review]
Avoid trying to paint plugin widgets in the case where a plugin fails to subclass our window
Attachment #618551 - Flags: review?
Comment on attachment 618551 [details] [diff] [review]
Avoid trying to paint plugin widgets in the case where a plugin fails to subclass our window

Apparently the Java plugin fails to subclass our HWND in some cases, letting NS_PAINT events go through to our WindowProc, which then tries to paint them, causing an assertion since we can't paint child widgets anymore. Instead, we just shouldn't try to paint plugin widgets in such a broken state.
Attachment #618551 - Flags: review? → review?(benjamin)
Attachment #618551 - Flags: review?(benjamin) → review+
http://hg.mozilla.org/integration/mozilla-inbound/rev/1863228248eb
https://hg.mozilla.org/mozilla-central/rev/1863228248eb
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla15
(Reporter)

Comment 12

5 years ago
(In reply to Robert O'Callahan (:roc) (Mozilla Corporation) from comment #9)
> Apparently the Java plugin fails to subclass our HWND in some cases
> [...]
> we just shouldn't try to paint plugin widgets in such a broken state.

Is such a "misbehavior" case expected to (randomly) happen?
Or should a bug be filed at Oracle to investigate further and improve/fix their plugin?
status-firefox-esr10: --- → affected
status-firefox12: --- → wontfix
status-firefox13: --- → affected
status-firefox14: --- → affected
I don't know. It doesn't really matter.
(Reporter)

Comment 14

5 years ago
Comment on attachment 618551 [details] [diff] [review]
Avoid trying to paint plugin widgets in the case where a plugin fails to subclass our window

[Approval Request Comment]
Detect and stop bad case early.
No risk.
Attachment #618551 - Flags: approval-mozilla-beta?
Attachment #618551 - Flags: approval-mozilla-aurora?
Comment on attachment 618551 [details] [diff] [review]
Avoid trying to paint plugin widgets in the case where a plugin fails to subclass our window

[Triage Comment]
No user impact provided, and a very intermittent orange. Approving for Aurora 14 but not Beta 13.
Attachment #618551 - Flags: approval-mozilla-beta?
Attachment #618551 - Flags: approval-mozilla-beta-
Attachment #618551 - Flags: approval-mozilla-aurora?
Attachment #618551 - Flags: approval-mozilla-aurora+
(Reporter)

Updated

5 years ago
status-firefox13: affected → wontfix
Keywords: checkin-needed
Whiteboard: [orange] → [c-n: 1863228248eb to m-a] [orange]
https://hg.mozilla.org/releases/mozilla-aurora/rev/cfeda9529635
status-firefox14: affected → fixed
Flags: in-testsuite+
Keywords: checkin-needed
Whiteboard: [c-n: 1863228248eb to m-a] [orange] → [orange]
Keywords: intermittent-failure
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.